using UnityEditor;
using UnityEngine;

[CustomEditor(typeof( HoppingDataConfig))]
public class HoppingDataConfigInspector:Editor
{
    public override void OnInspectorGUI()
    {
        
        HoppingDataConfig _this = target as HoppingDataConfig;

        if (_this != null)
        {
            _this.maxLevel = EditorGUILayout.IntField("最大关卡数", _this.maxLevel);

            _this.AllLife = EditorGUILayout.IntField("生命值", _this.AllLife);

          //  _this.NumberAll= EditorGUILayout.IntField("最大次数", _this.NumberAll);
        }

        base.OnInspectorGUI();
        
        if (GUI.changed)
        {
            EditorUtility.SetDirty(target);
        }
    }
    
}